帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:API  SDK  Contact  CONS  PHP  constant  Const  
Constant Contact PHP SDK for v2 API

  • 源代码名称:php-sdk
  • 源代码网址:http://www.github.com/constantcontact/php-sdk
  • php-sdk源代码文档
  • php-sdk源代码下载
  • Git URL:
    git://www.github.com/constantcontact/php-sdk.git
  • Git Clone代码到本地:
    git clone http://www.github.com/constantcontact/php-sdk
  • Subversion代码到本地:
    $ svn co --depth empty http://www.github.com/constantcontact/php-sdk
    Checked out revision 1.
    $ cd repo
    $ svn up trunk
    
  • 常量联系 PHP SDK

    Build StatusLatest Stable VersionLatest Unstable Version

    这个库使用了 GuzzlePHP

    通过 Composer 安装( 推荐)

    是用于PHP的依赖管理工具,它允许你声明项目需要并把它们安装到项目中。 为了在 Composer 中使用 Constant,你必须在项目文件的composer.json 中添加"constantcontact/constantcontact"作为依赖项。

    
    
    
    
     {
    
    
     "require": {
    
    
     "constantcontact/constantcontact": "2.1.*"
    
    
     }
    
    
     }
    
    
    
    

    手动安装

    如果你无法使用 Composer 安装,我们提供了一个在发布时包含依赖关系版本的zip文件。 将供应商文件解压缩到独立目录中,并要求 autoload.php 文件使用我们的方法。

    文档

    源文档位于 http://constantcontact.github.io/php-sdk

    API文档位于 http://developer.constantcontact.com/docs/developer-guides/api-documentation-index.html

    用法

    ConstantContact类包含保存使用API的方法的基础服务。

    
    
    
    
    use CtctConstantContact;
    
    
    $cc = new ConstantContact('your api key');
    
    
    
    
    
    $contacts = $cc->contactService->getContacts('your access token')
    
    
    
    

    许多方法将采用参数 array,以便在调用中使用。 方法的PHPDoc中记录了可用的参数。

    
    
    
    
    $params = array("limit" => 500);
    
    
    $contacts = $cc->contactService->getContacts('your access token', $params);
    
    
    
    

    最低要求

    使用这里库需要 PHP 5.4 + 和 PHP cURL扩展( http://php.net/manual/en/book.curl.php )

    在使用旧版本PHP时,强烈建议至少更新 5.4 - 但你可以通过或者手动使用 1.3版本。*。



    文章标签:API  PHP  CONS  SDK  Contact  Const  constant  

    Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语